﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XamGrid_sample.ViewModel
{
    public class ViewModel : INotifyPropertyChanged
    {
        private ObservableCollection<Item> items;
        public ObservableCollection<Item> Items
        {
            get { return items; }
            set
            {
                items = value;
                NotifyPropertyChanged("Items");
            }
        }

        private bool allowSelectAnother;
        public bool AllowSelectAnother
        {
            get { return allowSelectAnother; }
            set
            {
                allowSelectAnother = value;
                NotifyPropertyChanged("AllowSelectAnother");
            }
        }


        public ViewModel()
        {
            Items = new ObservableCollection<Item>()
            {
                new Item("Laptop", 1000, 5),
                new Item("Table", 42990, 20.5),
                new Item("TV", 820, 10),
                new Item("Smartphone", 350, 0.120)
            };

            AllowSelectAnother = true;
        }

        #region Notify Property Changed

        public event PropertyChangedEventHandler PropertyChanged;
        private void NotifyPropertyChanged(string propertyName = "")
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }

        #endregion // Notify Property Changed 
    }
}
